/*
 * GameResult is a container to store the result of a game. 
 * The information contained:
 * - Player player1
 * - Player player2
 * - User   winner
 * - String date
 * - int moves
 */
package ScoreManagement;

/**
 * Stores the result of a game
 */
public class GameResult {
    //players
    public User player1;
    public User player2;
    
    //winner
    public User winner;   //detailed design note: save User.ID ?
    
    //date
    public String date;
    
    //moves
    public int moves;
    
    /**
     * Constructor
     * Initialize the internal variables
     */
    public GameResult(User p1, User p2, User win, String date, int moves) {
        player1 = p1;
        player2 = p2;
        winner = win;
        this.date = date;
        this.moves = moves;
    }
}
