package GUI;

import java.io.*;
import java.awt.*;
import javax.swing.*;

/**
 * Displays the help/manual HTML file
 */
class Help extends JFrame {
    private JEditorPane html;
    /* Constructor, initializes the HTML component and loads the page */
    public Help() {
	setTitle("Help");
	setSize(1000, 600);
	setBackground(Color.gray);
	getContentPane().setLayout(new BorderLayout());

	JPanel topPanel = new JPanel();
	topPanel.setLayout(new BorderLayout());
	getContentPane().add(topPanel, BorderLayout.CENTER);

	html = new JEditorPane();
	try {
	    html = new JEditorPane(getClass().getResource("/GUI/resources/help/index.html"));
	} catch (IOException ex) {
	    System.out.println("Could not open help file");
	    html.setText("Could not open help file");
	}
	html.setEditable(false);

	JScrollPane scrollPane = new JScrollPane();
	scrollPane.getViewport().add(html, BorderLayout.CENTER);

	topPanel.add(scrollPane, BorderLayout.CENTER);
    }
}
